#!/bin/bash

source general_settings.sh

for XSPECINPUTFILE in *_xspec_in.txt ;do
 MODELBASENAME=`basename $XSPECINPUTFILE _xspec_in.txt`
 for OLDFILE in "$MODELBASENAME.ps" "$MODELBASENAME.eps" "$MODELBASENAME.png" "$MODELBASENAME"_xspec_out.txt tmpmodel.xcm ;do
  if [ -f "$OLDFILE" ];then
   rm -f "$OLDFILE"
  fi
 done
 #
 xspec < "$XSPECINPUTFILE"  &> "$MODELBASENAME"_xspec_out.txt
 #
 if [ -f "$MODELBASENAME".ps ];then
  # make .eps                      
  if [ -f "$MODELBASENAME".eps ];then
   rm -f "$MODELBASENAME".eps
  fi
  ps2eps --ignoreBB --rotate=+ "$MODELBASENAME".ps
  # make .png
  if [ -f "$MODELBASENAME".png ];then
   rm -f "$MODELBASENAME".png
  fi
  convert "$MODELBASENAME".ps -density 300 -background white -alpha remove -rotate 90 "$MODELBASENAME".png
 else
  echo "ERROR: the spectrum plot $MODELBASENAME.ps was not created"  
 fi
 #
done
